import 'package:flutter_riverpod/flutter_riverpod.dart';

import '../model/registration_model.dart';
import '../model/test_model.dart';

final EditStepProvider = StateProvider<int>((ref) => 0);
final editOrderLoadingProvider = StateProvider<bool>((ref) => false);

// mendapatkan perubahan value idTipePeriksa
final tabPeriksaprovider = StateProvider<int>((ref) => 1);
// selected test provider berisi list string "idtab|idtes"
final selectedTestEditProvider =
    StateProvider<List<String>>((ref) => List.empty());
final selectedtestData = StateProvider<List<String>>((ref) => List.empty());
//menyimpan data temporary saat registrasi patien selama dialog masih terbuka
final EditDataProvider =
    StateProvider<RegistrationModel>((ref) => RegistrationModel());
//temporary test list
final tempTestListEditProvider = StateProvider<List<TestModel>>(
  (ref) => List.empty(),
);
final selectedPacketEditProvider =
    StateProvider<List<String>>((ref) => List.empty(growable: true));
//Paket yang sudah terpilih di db untuk nantinya perbandingan apakah paket baru ataukah paket dihapus
final currentPacketProvider =
    StateProvider<List<String>>((ref) => List.empty(growable: true));
